# vim: set ts=4 sw=4 et:

Name:           cpdvd
Summary:        Transfer a DVD title to your harddisk with ease on Linux
Version:        1.10
Release:        pm152.4.4
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.lallafa.de/bp/cpdvd.html
Source:         http://www.lallafa.de/bp/files/cpdvd-1.10.gz
Source1:        %{name}.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       cpvts
Requires:       transcode
Recommends:     vobcopy
BuildRequires:  vobcopy transcode cpvts

%description
This tool copies all required files for a movie title from a DVD on your 
harddisk for further processing with libdvdreads image mode (e.g. transcode). 
It automatically selects the title with longest duration - but you can also 
pick a specific one. The tool determines the correct title set (VTS-VOB files) 
for the selected title, clones the navigation information (IFO files) and 
extracts (decodes) the data into new video object streams.

%prep
%setup -T -c "%{name}-%{version}"
%__cp %{SOURCE0} .
%__gzip -f -d %{name}-%{version}.gz
%__cp %{SOURCE1} .

%install
%__install -dm 755 %{buildroot}%{_bindir}/
%__install -m 755 %{name}-%{version} %{buildroot}/%{_bindir}/%{name}

%__install -dm 755 %{buildroot}%{_defaultdocdir}/%{name}
%__install -m 644 %{SOURCE1} %{buildroot}/%{_defaultdocdir}/%{name}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc %{name}.html
%{_bindir}/cpdvd

%changelog
* Tue Sep 19 2006 toni@links2linux.de
- build for packman
  Sat Nov 19 00:00:00 UTC 2005 - oc2pus 1.10-0.oc2pus.4
- build for SuSE-10.0
  Fri Dec 24 00:00:00 UTC 2004 - oc2pus 1.10-0.oc2pus.3
- build for SuSE-9.2
  Wed Oct 20 00:00:00 UTC 2004 - oc2pus 1.10-0.oc2pus.2
- included HTML page as doc
  Thu Sep 30 00:00:00 UTC 2004 - oc2pus 1.10-0.oc2pus.1
- initial release of rpm
